IF NOT EXISTS (SELECT * FROM SYS.COLUMNS WHERE NAME = 'CD_COND_COMPRA' 
				AND OBJECT_ID = OBJECT_ID('EST_PROD_SUPRIMENTO_ENTREGA_LOJA'))
BEGIN	 
	ALTER TABLE EST_PROD_SUPRIMENTO_ENTREGA_LOJA ADD CD_COND_COMPRA	int NULL DEFAULT (0) 
END 
GO
IF NOT EXISTS (SELECT * FROM SYS.COLUMNS WHERE NAME = 'QTDE_PROD' 
				AND OBJECT_ID = OBJECT_ID('EST_PROD_SUPRIMENTO_ENTREGA_LOJA'))
BEGIN	 
	ALTER TABLE EST_PROD_SUPRIMENTO_ENTREGA_LOJA ADD QTDE_PROD	money NULL DEFAULT (0) 
END 
GO

IF NOT EXISTS (SELECT * FROM SYS.COLUMNS WHERE NAME = 'VLR_PROD' 
				AND OBJECT_ID = OBJECT_ID('EST_PROD_SUPRIMENTO_ENTREGA_LOJA'))
BEGIN	 
	ALTER TABLE EST_PROD_SUPRIMENTO_ENTREGA_LOJA ADD VLR_PROD	money NULL DEFAULT (0) 
END 
GO
IF NOT EXISTS (SELECT * FROM SYS.COLUMNS WHERE NAME = 'PERC_DESC' 
				AND OBJECT_ID = OBJECT_ID('EST_PROD_SUPRIMENTO_ENTREGA_LOJA'))
BEGIN	 
	ALTER TABLE EST_PROD_SUPRIMENTO_ENTREGA_LOJA ADD PERC_DESC	money NULL DEFAULT (0) 
END 
GO

IF NOT EXISTS (SELECT * FROM SYS.COLUMNS WHERE NAME = 'CD_SIGLA' 
				AND OBJECT_ID = OBJECT_ID('EST_PROD_SUPRIMENTO_ENTREGA_LOJA'))
BEGIN	 
	ALTER TABLE EST_PROD_SUPRIMENTO_ENTREGA_LOJA ADD CD_SIGLA	int NULL DEFAULT (0) 
END 
GO
IF NOT EXISTS (SELECT * FROM SYS.COLUMNS WHERE NAME = 'MEDIAF' 
				AND OBJECT_ID = OBJECT_ID('EST_PROD_SUPRIMENTO_ENTREGA_LOJA'))
BEGIN	 
	ALTER TABLE EST_PROD_SUPRIMENTO_ENTREGA_LOJA ADD MEDIAF		money NULL DEFAULT (0) 
END 
GO
IF NOT EXISTS (SELECT * FROM SYS.COLUMNS WHERE NAME = 'QT_EST' 
				AND OBJECT_ID = OBJECT_ID('EST_PROD_SUPRIMENTO_ENTREGA_LOJA'))
BEGIN	 
	ALTER TABLE EST_PROD_SUPRIMENTO_ENTREGA_LOJA ADD QT_EST		money NULL DEFAULT (0) 
END 
GO
IF NOT EXISTS (SELECT * FROM SYS.COLUMNS WHERE NAME = 'QT_EST_PEND' 
				AND OBJECT_ID = OBJECT_ID('EST_PROD_SUPRIMENTO_ENTREGA_LOJA'))
BEGIN	 
	ALTER TABLE EST_PROD_SUPRIMENTO_ENTREGA_LOJA ADD QT_EST_PEND	money NULL DEFAULT (0)
END 
GO
IF NOT EXISTS (SELECT * FROM SYS.COLUMNS WHERE NAME = 'QT_EST_MTZ' 
				AND OBJECT_ID = OBJECT_ID('EST_PROD_SUPRIMENTO_ENTREGA_LOJA'))
BEGIN	 
	ALTER TABLE EST_PROD_SUPRIMENTO_ENTREGA_LOJA ADD QT_EST_MTZ	money NULL DEFAULT (0) 
END 
GO
IF NOT EXISTS (SELECT * FROM SYS.COLUMNS WHERE NAME = 'MAX_EMAX' 
				AND OBJECT_ID = OBJECT_ID('EST_PROD_SUPRIMENTO_ENTREGA_LOJA'))
BEGIN	 
	ALTER TABLE EST_PROD_SUPRIMENTO_ENTREGA_LOJA ADD MAX_EMAX	money NULL DEFAULT (0) 
END 
GO
IF NOT EXISTS (SELECT * FROM SYS.COLUMNS WHERE NAME = 'EMAX' 
				AND OBJECT_ID = OBJECT_ID('EST_PROD_SUPRIMENTO_ENTREGA_LOJA'))
BEGIN	 
	ALTER TABLE EST_PROD_SUPRIMENTO_ENTREGA_LOJA ADD EMAX		money NULL DEFAULT (0) 
END 
GO
IF NOT EXISTS (SELECT * FROM SYS.COLUMNS WHERE NAME = 'ESEG' 
				AND OBJECT_ID = OBJECT_ID('EST_PROD_SUPRIMENTO_ENTREGA_LOJA'))
BEGIN	 
	ALTER TABLE EST_PROD_SUPRIMENTO_ENTREGA_LOJA ADD ESEG		money NULL DEFAULT (0) 
END 
GO
IF NOT EXISTS (SELECT * FROM SYS.COLUMNS WHERE NAME = 'FACE' 
				AND OBJECT_ID = OBJECT_ID('EST_PROD_SUPRIMENTO_ENTREGA_LOJA'))
BEGIN	 
	ALTER TABLE EST_PROD_SUPRIMENTO_ENTREGA_LOJA ADD FACE		money NULL DEFAULT (0) 
END 
GO
IF NOT EXISTS (SELECT * FROM SYS.COLUMNS WHERE NAME = 'FINA' 
				AND OBJECT_ID = OBJECT_ID('EST_PROD_SUPRIMENTO_ENTREGA_LOJA'))
BEGIN	 
	ALTER TABLE EST_PROD_SUPRIMENTO_ENTREGA_LOJA ADD FINA		money NULL DEFAULT (0) 
END 
GO
IF NOT EXISTS (SELECT * FROM SYS.COLUMNS WHERE NAME = 'LIMITADOR' 
				AND OBJECT_ID = OBJECT_ID('EST_PROD_SUPRIMENTO_ENTREGA_LOJA'))
BEGIN	 
	ALTER TABLE EST_PROD_SUPRIMENTO_ENTREGA_LOJA ADD LIMITADOR	money NULL DEFAULT (0) 
END
GO
IF NOT EXISTS (SELECT * FROM SYS.COLUMNS WHERE NAME = 'QT_PEND_ENT' 
				AND OBJECT_ID = OBJECT_ID('EST_PROD_SUPRIMENTO_ENTREGA_LOJA'))
BEGIN	 
	ALTER TABLE EST_PROD_SUPRIMENTO_ENTREGA_LOJA ADD QT_PEND_ENT	money NULL DEFAULT (0) 
END 
GO 
IF NOT EXISTS (SELECT * FROM SYS.COLUMNS WHERE NAME = 'VLR_TABELA' 
				AND OBJECT_ID = OBJECT_ID('EST_PROD_SUPRIMENTO_ENTREGA_LOJA'))
BEGIN	 
	ALTER TABLE EST_PROD_SUPRIMENTO_ENTREGA_LOJA ADD VLR_TABELA		money NULL DEFAULT (0) 
END 
GO
IF NOT EXISTS (SELECT * FROM SYS.COLUMNS WHERE NAME = 'DT_ULT_VD' 
				AND OBJECT_ID = OBJECT_ID('EST_PROD_SUPRIMENTO_ENTREGA_LOJA'))
BEGIN	 
	ALTER TABLE EST_PROD_SUPRIMENTO_ENTREGA_LOJA ADD DT_ULT_VD	DATETIME NULL
END
GO
IF NOT EXISTS (SELECT * FROM SYS.COLUMNS WHERE NAME = 'QT_VD_MES' 
				AND OBJECT_ID = OBJECT_ID('EST_PROD_SUPRIMENTO_ENTREGA_LOJA'))
BEGIN	 
	ALTER TABLE EST_PROD_SUPRIMENTO_ENTREGA_LOJA ADD QT_VD_MES	money NULL DEFAULT (0) 
END 
GO
 